<template>
  <div class="knowledge-con">
    <navs :isLogin="isLogin" :rightText="rightText" @went="goBack()"></navs>

    <tabs :tabArray="tabArray" @clickSelect="clickSelect"></tabs>

    <div class="knowledge-list-con" v-if="tabIndex==0">
      <div class="blank-con" v-if="knowArray0.length===0">
        还没有笔记，赶紧去添加一个吧~~~
        <div class="collapse-btn-con" @click="addNote()">
          <button class="collapse-btn">立即添加</button>
        </div>
      </div>
      <div class="not-blank-con" v-else>
        <knowledge-list :knowArray="knowArray0" :isChecked="isChecked"></knowledge-list>
      </div>

    </div>
    <div class="knowledge-list-con" v-else-if="tabIndex==1">
      <div class="blank-con" v-if="knowArray1.length===0">
        还没有笔记，赶紧去添加一个吧~~~
        <div class="collapse-btn-con" @click="addNote()">
          <button class="collapse-btn">立即添加</button>
        </div>
      </div>
      <div class="not-blank-con" v-else>
          <knowledge-list :knowArray="knowArray1" :isChecked="isChecked"></knowledge-list>
      </div>
    </div>
    <div class="knowledge-list-con" v-else-if="tabIndex==2">
      <knowledge-list :knowArray="knowArray2" :isChecked="isChecked"></knowledge-list>
    </div>


  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import tabs from '../components/tabs.vue';

  import knowledgeList from '../components/knowledgeList.vue';
  import M from '../utils/api.js';
  export default {
    name: 'loading',
    data () {
      return {
        heights: window.innerHeight,
        isLogin: false,
        rightText: "我的笔记",
        isFooter: false,
        isChecked: true,
        tabIndex: 0,
        exercisesId:this.$route.query.exercisesId,
        shareArr: [{
          name: "123"
        }, {
          name: "分享"
        }],
        tabArray: [],
        knowArray0: [],
        knowArray1: [

        ],
        knowArray2: [

        ],

      }
    },
    created(){
        this.getSubjectList();

    },
    methods: {
      goBack(){
        window.history.go(-1);
      },
      clickSelect(i){
        var vm = this;
        this.tabArray.forEach((it, idx) => {
          it.isOn = idx == i;
          vm.tabIndex = i;
        })
        this.getNoteList(i);
      },

      getSubjectList(){
        var vm=this,obj={};
        M.getSubjectList(function(data){
          vm.subjectList=data.subjects;
          vm.tabArray=vm.subjectList.map((it,idx)=>{
            it.isOn=idx===0;
              return {
                isOn:it.isOn,
                tNames:it.subjectName,
                id:it.subjectId
              }

          })
          vm.getNoteList(0);
        })
      },
      getNoteList(i){
        var vm=this,
          paras={ subjectId:vm.tabArray[i].id,pageNo:1};
         vm.exercisesId=vm.tabArray[i].id;
        M.myNoteInfo(function(data){
          vm["knowArray"+i]=data.noteInfo.map((it,idx)=>{
            return {
              mainName:it.knowledgeName,
              title:it.content,
              name:it.createTime,
              chapterName:it.chapterName,
              noteId:it.noteId,
              exercisesId:it.exercisesId
            }
          })


        },paras)
      },
      addNote(){
        this.$router.push({path:"/editNote",query:{exercisesId:this.exercisesId}})
      }
    },
    components: {
      navs,
      tabs,
      knowledgeList
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  @import "../styles/base.css";
  @import "../styles/loading.css";
</style>
